# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeAxis1Placement Class Reference

This class implements the mapping between classes
Axis1Placement from Step and Axis1Placement from Geom
.

`#include <StepToGeom_MakeAxis1Placement.hxx>`

Inheritance diagram for StepToGeom_MakeAxis1Placement:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeAxis1Placement (const Handle(StepGeom_Axis1Placement)&A)
Standard_EXPORT const Handle_Geom_Axis1Placement & | Value () const

## Private Attributes

Handle_Geom_Axis1Placement | theAxis1Placement

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeAxis1Placement::StepToGeom_MakeAxis1Placement | ( | const Handle(StepGeom_Axis1Placement)& | A | ) |

## Member Function Documentation

void StepToGeom_MakeAxis1Placement::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeAxis1Placement::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeAxis1Placement::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_Axis1Placement& StepToGeom_MakeAxis1Placement::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_Axis1Placement StepToGeom_MakeAxis1Placement::theAxis1Placement `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeAxis1Placement.hxx